%ifnarch ppc64le s390x
%bcond_without check
%endif

%global goipath         github.com/seccomp/libseccomp-golang
Version:                0.9.1

%gometa

%global godevelheader %{expand:
Requires:       pkgconfig(libseccomp)}

%global common_description %{expand:
The libseccomp library provides an easy to use, platform independent, interface
to the Linux Kernel's syscall filtering mechanism.  The libseccomp API is
designed to abstract away the underlying BPF based syscall filter language and
present a more conventional function-call based filtering interface that should
be familiar to, and easily adopted by, application developers.

The libseccomp-golang library provides a Go based interface to the libseccomp
library.}

%global golicenses      LICENSE
%global godocs          CHANGELOG README

Name:           %{goname}
Release:    1%{?dist}
Summary:        Libseccomp Go bindings

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  pkgconfig(libseccomp)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-1
- initial build
